Summary: 	A windowlist plugin for the Xfce panel
Name: 		xfce-windowlist-plugin
Version: 	0.1.0
Release: 	4mdk
License:	BSD
URL: 		http://download.berlios.de/xfce-goodies
Source0: 	xfce4-windowlist-plugin-%{version}.tar.bz2
Group:		Graphical desktop/Xfce
BuildRoot: 	%{_tmppath}/%{name}-root
Requires:	xfce-panel >= 4.1.99.1
BuildRequires:	xfce-panel-devel >= 4.1.99.1
BuildRequires:	libgdk_pixbuf2.0-devel
Obsoletes: xfce-windowlist
Provides: xfce-windowlist

%description
This is a windowlist plugin for the panel. 
The menubutton shows the icon of the active window.
Leftclick pops up a window list.
Leftclick on one of the items activates the selected window.
Rightclick pops up a window action menu.


%prep
%setup -q -n xfce4-windowlist-plugin

%build
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std 

# remove unneeded devel files
rm -f %{buildroot}/%{_libdir}/xfce4/panel-plugins/*.a

%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root)
%doc AUTHORS COPYING INSTALL README
%{_libdir}/xfce4/panel-plugins/


%changelog
* Sat Jan 22 2005 Marcel Pol <mpol@mandrake.org> 0.1.0-4mdk
- group: Graphical desktop/Xfce
- remove unneeded devel files

* Fri Nov 19 2004 Charles A Edwards <eslrahc@bellsouth.net> 0.1.0-3mdk
- use plugin in name
- build against new panel
- add O/P

* Tue Apr 27 2004 Charles A Edwards <eslrahc@mandrake.org> 0.1.0-2mdk
- use the right URL
- put the correct date in the changelog )-:

* Wed Feb 18 2004 Charles A Edwards <eslrahc@mandrake.org> 0.1.0-1mdk
- first mdk pkg
 
